Subject: Re: [PATCH] Probe Efika platform before CHRP.

From: Segher Boessenkool <[email-masked]>
Date: Mon, 8 Jan 2007 00:04:58 +0100

> The very fact of matching device to driver by their
> "name/type/compatible" list
> is just the way it's done/specified in OF. Unless I'm deeply mistaken

No, you're perfectly right.

> So back to ethernet since you seem to like it ;) If fsl produce a new
> chip (let's call
> it mpc5321) , either it has _exactly_ the same interface (not a single
> difference),
> they you could call it mpc52xx in your device tree.

No, it should be "compatible" = "mpc5321\0mpc52xx", since even
if it *supposedly* works identically, there always could be bugs.
The actual device version is a huge thing to leave out of the
device tree no matter what.

Linux would find it via "mpc52xx", if it has no reason to treat
mpc5321 specially, sure.  The device tree should still express
that information though; it shows information about the hardware
to whoever wants to use it (e.g., Linux), it does not *directly*
tell Linux how to handle the hardware.  This is a good thing.

> If it's different, (even slighty, like it handles frame >2048 for
> example), then
> just give it a new name and add it as supported by the same driver. If
> that's the
> 5321 entry that matched, then allow frames >2048.

Yeah.

Segher